Library Version 18.1.40

DB_ENV->mutex_get_init()
Prev | Chapter 9. Mutex Methods | Next

## DB_ENV->mutex_get_init()

    #include <db.h>
    int
    DB_ENV->mutex_get_init(DB_ENV *dbenv, u_int32_t *init);

The `DB_ENV->mutex_get_init()` method returns the inital number of mutexes allocated. This value can be set using the DB_ENV->mutex_set_init() method.

The `DB_ENV->mutex_get_init()` method may be called at any time during the life of the application.

The `DB_ENV->mutex_get_init()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### init

The `DB_ENV->mutex_get_init()` method returns the inital number of mutexes allocated in init.

### Class

DB_ENV

### See Also

Mutex Methods

Prev | Up | Next
DB_ENV->mutex_get_increment() | Home | DB_ENV->mutex_get_max()